// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/kubernetes_api/kubernetes_api.proto

package kubernetes_api

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ImpersonationConfig struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Username      string                 `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	Groups        []string               `protobuf:"bytes,2,rep,name=groups,proto3" json:"groups,omitempty"`
	Uid           string                 `protobuf:"bytes,3,opt,name=uid,proto3" json:"uid,omitempty"`
	Extra         []*ExtraKeyVal         `protobuf:"bytes,4,rep,name=extra,proto3" json:"extra,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ImpersonationConfig) Reset() {
	*x = ImpersonationConfig{}
	mi := &file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ImpersonationConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ImpersonationConfig) ProtoMessage() {}

func (x *ImpersonationConfig) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ImpersonationConfig.ProtoReflect.Descriptor instead.
func (*ImpersonationConfig) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescGZIP(), []int{0}
}

func (x *ImpersonationConfig) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *ImpersonationConfig) GetGroups() []string {
	if x != nil {
		return x.Groups
	}
	return nil
}

func (x *ImpersonationConfig) GetUid() string {
	if x != nil {
		return x.Uid
	}
	return ""
}

func (x *ImpersonationConfig) GetExtra() []*ExtraKeyVal {
	if x != nil {
		return x.Extra
	}
	return nil
}

type ExtraKeyVal struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Key           string                 `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Val           []string               `protobuf:"bytes,2,rep,name=val,proto3" json:"val,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ExtraKeyVal) Reset() {
	*x = ExtraKeyVal{}
	mi := &file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ExtraKeyVal) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExtraKeyVal) ProtoMessage() {}

func (x *ExtraKeyVal) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExtraKeyVal.ProtoReflect.Descriptor instead.
func (*ExtraKeyVal) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescGZIP(), []int{1}
}

func (x *ExtraKeyVal) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *ExtraKeyVal) GetVal() []string {
	if x != nil {
		return x.Val
	}
	return nil
}

var File_internal_module_kubernetes_api_kubernetes_api_proto protoreflect.FileDescriptor

var file_internal_module_kubernetes_api_kubernetes_api_proto_rawDesc = string([]byte{
	0x0a, 0x33, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69,
	0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61,
	0x70, 0x69, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65,
	0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xb2, 0x01, 0x0a, 0x13, 0x49, 0x6d, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x23, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02,
	0x20, 0x01, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x24, 0x0a, 0x06,
	0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x42, 0x0c, 0xba, 0x48,
	0x09, 0x92, 0x01, 0x06, 0x22, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x06, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x75, 0x69, 0x64, 0x12, 0x3e, 0x0a, 0x05, 0x65, 0x78, 0x74, 0x72, 0x61, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70,
	0x69, 0x2e, 0x45, 0x78, 0x74, 0x72, 0x61, 0x4b, 0x65, 0x79, 0x56, 0x61, 0x6c, 0x52, 0x05, 0x65,
	0x78, 0x74, 0x72, 0x61, 0x22, 0x4a, 0x0a, 0x0b, 0x45, 0x78, 0x74, 0x72, 0x61, 0x4b, 0x65, 0x79,
	0x56, 0x61, 0x6c, 0x12, 0x19, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x20,
	0x0a, 0x03, 0x76, 0x61, 0x6c, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x42, 0x0e, 0xba, 0x48, 0x0b,
	0x92, 0x01, 0x08, 0x08, 0x01, 0x22, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x03, 0x76, 0x61, 0x6c,
	0x42, 0x5b, 0x5a, 0x59, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65,
	0x72, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69,
	0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6b,
	0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescOnce sync.Once
	file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescData []byte
)

func file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescGZIP() []byte {
	file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescOnce.Do(func() {
		file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_kubernetes_api_proto_rawDesc), len(file_internal_module_kubernetes_api_kubernetes_api_proto_rawDesc)))
	})
	return file_internal_module_kubernetes_api_kubernetes_api_proto_rawDescData
}

var file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_internal_module_kubernetes_api_kubernetes_api_proto_goTypes = []any{
	(*ImpersonationConfig)(nil), // 0: gitlab.agent.kubernetes_api.ImpersonationConfig
	(*ExtraKeyVal)(nil),         // 1: gitlab.agent.kubernetes_api.ExtraKeyVal
}
var file_internal_module_kubernetes_api_kubernetes_api_proto_depIdxs = []int32{
	1, // 0: gitlab.agent.kubernetes_api.ImpersonationConfig.extra:type_name -> gitlab.agent.kubernetes_api.ExtraKeyVal
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_internal_module_kubernetes_api_kubernetes_api_proto_init() }
func file_internal_module_kubernetes_api_kubernetes_api_proto_init() {
	if File_internal_module_kubernetes_api_kubernetes_api_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_kubernetes_api_proto_rawDesc), len(file_internal_module_kubernetes_api_kubernetes_api_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_kubernetes_api_kubernetes_api_proto_goTypes,
		DependencyIndexes: file_internal_module_kubernetes_api_kubernetes_api_proto_depIdxs,
		MessageInfos:      file_internal_module_kubernetes_api_kubernetes_api_proto_msgTypes,
	}.Build()
	File_internal_module_kubernetes_api_kubernetes_api_proto = out.File
	file_internal_module_kubernetes_api_kubernetes_api_proto_goTypes = nil
	file_internal_module_kubernetes_api_kubernetes_api_proto_depIdxs = nil
}
